PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::optical::modal::FourierSolver3D::Mode Struct Reference

`#include <solvers/optical/modal/fourier/solver3d.hpp>`

Collaboration diagram for plask::optical::modal::FourierSolver3D::Mode:
[legend]

## Public Member Functions
| Mode (const ExpansionPW3D &expansion, double tolx)
bool | operator== (const Mode &other) const
bool | operator== (const ExpansionPW3D &other) const
template<typename T >
bool | operator!= (const T &other) const

## Public Attributes
Expansion::Component | symmetry_long
| Mode symmetry in long direction.
Expansion::Component | symmetry_tran
| Mode symmetry in tran direction.
double | lam0
| Wavelength for which integrals are computed.
dcomplex | k0
| Stored mode frequency.
dcomplex | klong
| Stored mode effective index.
dcomplex | ktran
| Stored mode transverse wavevector.
double | power
| Mode power (mW)
double | tolx
| Tolerance for mode comparison.

## Detailed Description

Definition at line 56 of file solver3d.hpp.

## Constructor & Destructor Documentation

## ◆ Mode()

plask::optical::modal::FourierSolver3D::Mode::Mode | ( | const ExpansionPW3D & | expansion,
|  | double | tolx
| ) |  |
| inline

Definition at line 66 of file solver3d.hpp.

## Member Function Documentation

## ◆ operator!=()

template<typename T >

bool plask::optical::modal::FourierSolver3D::Mode::operator!= | ( | const T & | other | ) | const
| inline

Definition at line 91 of file solver3d.hpp.

## ◆ operator==() [1/2]

bool plask::optical::modal::FourierSolver3D::Mode::operator== | ( | const ExpansionPW3D & | other | ) | const
| inline

Definition at line 83 of file solver3d.hpp.

## ◆ operator==() [2/2]

bool plask::optical::modal::FourierSolver3D::Mode::operator== | ( | const Mode & | other | ) | const
| inline

Definition at line 76 of file solver3d.hpp.

## Member Data Documentation

## ◆ k0

dcomplex plask::optical::modal::FourierSolver3D::Mode::k0

Stored mode frequency.

Definition at line 60 of file solver3d.hpp.

## ◆ klong

dcomplex plask::optical::modal::FourierSolver3D::Mode::klong

Stored mode effective index.

Definition at line 61 of file solver3d.hpp.

## ◆ ktran

dcomplex plask::optical::modal::FourierSolver3D::Mode::ktran

Stored mode transverse wavevector.

Definition at line 62 of file solver3d.hpp.

## ◆ lam0

double plask::optical::modal::FourierSolver3D::Mode::lam0

Wavelength for which integrals are computed.

Definition at line 59 of file solver3d.hpp.

## ◆ power

double plask::optical::modal::FourierSolver3D::Mode::power

Mode power (mW)

Definition at line 63 of file solver3d.hpp.

## ◆ symmetry_long

Expansion::Component plask::optical::modal::FourierSolver3D::Mode::symmetry_long

Mode symmetry in long direction.

Definition at line 57 of file solver3d.hpp.

## ◆ symmetry_tran

Expansion::Component plask::optical::modal::FourierSolver3D::Mode::symmetry_tran

Mode symmetry in tran direction.

Definition at line 58 of file solver3d.hpp.

## ◆ tolx

double plask::optical::modal::FourierSolver3D::Mode::tolx

Tolerance for mode comparison.

Definition at line 64 of file solver3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/fourier/solver3d.hpp